Package: org.codehaus.groovy.runtime.typehandling

## [Java] Class ShortTypeHandling

- org.codehaus.groovy.runtime.typehandling.ShortTypeHandling

-     public class ShortTypeHandling
      extends Object

  Class providing various short paths for type conversions. Read the comments to what conditions have to be met to get valid results! Any method here must not depend on the groovy runtime.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Character` | `castToChar(Object object)`
    `` | `public static Class` | `castToClass(Object object)`
    `` | `public static Enum` | `castToEnum(Object object, Class<? extends Enum> type)` this class requires that the supplied enum is not fitting a Collection case for casting
    `` | `public static String` | `castToString(Object object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static Character castToChar(Object object)

    - #### public static Class castToClass(Object object)

    - #### public static Enum castToEnum(Object object, Class<? extends Enum> type)

      this class requires that the supplied enum is not fitting a Collection case for casting

    - #### public static String castToString(Object object)